<template>
  <v-app id="inspire">
    <v-app-bar app color="#2c3a47" dark>
      <v-app-bar-nav-icon @click.stop="mini = !mini" />
      <v-toolbar-title style="width: 300px; cursor: pointer" class="ml-0 pl-4" @click="goToHome">
        <span class="hidden-sm-and-down">AJ's Eat All You Want Shop</span>
      </v-toolbar-title>
      <v-spacer />
      <v-btn icon class="mr-10" @click="goToCart">
        <v-icon left></v-icon> 
        <div style="border-radius: 50%; background-color: red; width: 15px; margin-right: 5px">
          {{ cartItemCount }}
        </div>
         Orders
      </v-btn>
      <v-btn icon>
        <v-icon>mdi-logout</v-icon>
      </v-btn>
    </v-app-bar>
    <v-main>
      <product-list />
    </v-main>    
  </v-app>
</template>

<script>
import ProductList from "../components/ProductList"

export default {
  components: {
    ProductList,
  },
  data: () => ({
    mini: false,
    dialog: false,
    fab: false,
    available: false,
    itemCount: 0,
  }),
  methods: {
    goToHome() {
      this.$router.push('/')
    },
    goToCart() {
      this.$router.push('/cart')
    },
  },
  computed: {
    cartItemCount(itemCount) {
      itemCount = this.$store.getters.cartItemCount;
      console.log('COUNT ITEMS: ', itemCount);
      return itemCount;
    }
  },
}
</script>
